import { http } from '@/utils/http/axios';

/**
 * @description: 列表
 */
export function getFileTemplateList(params?) {
  return http.request({
    url: '/file/template/page',
    method: 'GET',
    params,
  });
}
/**
 * @description: 根据ID获取详情
 */
export function getFileTemplateDetail(id) {
  return http.request({
    url: '/file/template/detail/'+id,
    method: 'get',
  });
}
/**
 * @description: 添加
 */
export function fileTemplateAdd(data:any) {
  return http.request({
    url: '/file/template/add',
    method: 'POST',
    data,
  });
}
/**
 * @description: 更新
 */
export function fileTemplateUpdate(data:any) {
  return http.request({
    url: '/file/template/update',
    method: 'PUT',
    data
  });
}
/**
 * @description: 删除
 */
export function fileTemplateDelete(id) {
  return http.request({
    url: '/file/template/delete/'+id,
    method: 'DELETE',
  });
}
/**
 * @description: 批量删除
 */
export function fileTemplateBatchDelete(data:any) {
  return http.request({
    url: '/file/template/batchDelete',
    method: 'DELETE',
    data
  });
}